RNAlib-2.1.8

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
TwoDfold_solution Struct Reference

Solution element returned from TwoDfoldList. More...

## Data Fields

int | k
| Distance to first reference.
int | l
| Distance to second reference.
float | en
| Free energy in kcal/mol.
char * | s
| MFE representative structure in dot-bracket notation.

## Detailed Description

Solution element returned from TwoDfoldList.

This element contains free energy and structure for the appropriate kappa (k), lambda (l) neighborhood The datastructure contains two integer attributes 'k' and 'l' as well as an attribute 'en' of type float representing the free energy in kcal/mol and an attribute 's' of type char* containg the secondary structure representative,

A value of INF in k denotes the end of a list

See also:
  TwoDfoldList()

The documentation for this struct was generated from the following file:

- /home/mescalin/www/tbi/htdocs/RNA/ViennaRNA/H/data_structures.h